javax.persistence.metamodel

## Interface MappedSuperclassType<X>

Type Parameters:
  `X` - The represented entity type

All Superinterfaces:
  IdentifiableType<X>, ManagedType<X>, Type<X>

    public interface MappedSuperclassType<X>
    extends IdentifiableType<X>

Instances of the type `MappedSuperclassType` represent mapped superclass types.

Since:
  Java Persistence 2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type

`Type.PersistenceType`

### Method Summary

### Methods inherited from interface javax.persistence.metamodel.IdentifiableType

`getDeclaredId, getDeclaredVersion, getId, getIdClassAttributes, getIdType, getSupertype, getVersion, hasSingleIdAttribute, hasVersionAttribute`

### Methods inherited from interface javax.persistence.metamodel.ManagedType

`getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes`

### Methods inherited from interface javax.persistence.metamodel.Type

`getJavaType, getPersistenceType`